<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateAbGroupTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('ab_group', function(Blueprint $table)
		{
			$table->integer('id')->default(0);
			$table->integer('site_id')->default(0)->index('fk_grp_set_idx');
			$table->bigInteger('date_orig')->nullable();
			$table->bigInteger('date_start')->nullable();
			$table->bigInteger('date_expire')->nullable();
			$table->integer('parent_id')->nullable();
			$table->boolean('active')->nullable();
			$table->boolean('pricing')->nullable();
			$table->string('name', 128)->nullable();
			$table->text('notes')->nullable();
			$table->primary(['id','site_id']);
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('ab_group');
	}

}
